curl --request PUT \
--url https://api.example.com/motivo-ajuste-registro/{motivoAjusteRegistroId} \
--header 'Content-Type: application/json' \
--data '
{
"descricao": "Esqueceu de registrar o ponto",
"tipo": "ABONO"
}
'const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({descricao: 'Esqueceu de registrar o ponto', tipo: 'ABONO'})
};
fetch('https://api.example.com/motivo-ajuste-registro/{motivoAjusteRegistroId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.example.com/motivo-ajuste-registro/{motivoAjusteRegistroId}"
payload = {
"descricao": "Esqueceu de registrar o ponto",
"tipo": "ABONO"
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/motivo-ajuste-registro/{motivoAjusteRegistroId}"
payload := strings.NewReader("{\n \"descricao\": \"Esqueceu de registrar o ponto\",\n \"tipo\": \"ABONO\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/motivo-ajuste-registro/{motivoAjusteRegistroId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'descricao' => 'Esqueceu de registrar o ponto',
'tipo' => 'ABONO'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.example.com/motivo-ajuste-registro/{motivoAjusteRegistroId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"descricao\": \"Esqueceu de registrar o ponto\",\n \"tipo\": \"ABONO\"\n}"
response = http.request(request)
puts response.read_body{
"descricao": "Esqueceu de registrar o ponto",
"tipo": "ABONO",
"motivoAjusteRegistroId": "123-456abc",
"descontarJornada": false,
"descontarPreferencialmenteAdicionalNoturno": false,
"disponivelColaboradores": false
}{
"service": "<string>",
"method": "<string>",
"message": "message erro"
}Atualiza um motivo de ajuste de registro de ponto
curl --request PUT \
--url https://api.example.com/motivo-ajuste-registro/{motivoAjusteRegistroId} \
--header 'Content-Type: application/json' \
--data '
{
"descricao": "Esqueceu de registrar o ponto",
"tipo": "ABONO"
}
'const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({descricao: 'Esqueceu de registrar o ponto', tipo: 'ABONO'})
};
fetch('https://api.example.com/motivo-ajuste-registro/{motivoAjusteRegistroId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.example.com/motivo-ajuste-registro/{motivoAjusteRegistroId}"
payload = {
"descricao": "Esqueceu de registrar o ponto",
"tipo": "ABONO"
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/motivo-ajuste-registro/{motivoAjusteRegistroId}"
payload := strings.NewReader("{\n \"descricao\": \"Esqueceu de registrar o ponto\",\n \"tipo\": \"ABONO\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/motivo-ajuste-registro/{motivoAjusteRegistroId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'descricao' => 'Esqueceu de registrar o ponto',
'tipo' => 'ABONO'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.example.com/motivo-ajuste-registro/{motivoAjusteRegistroId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"descricao\": \"Esqueceu de registrar o ponto\",\n \"tipo\": \"ABONO\"\n}"
response = http.request(request)
puts response.read_body{
"descricao": "Esqueceu de registrar o ponto",
"tipo": "ABONO",
"motivoAjusteRegistroId": "123-456abc",
"descontarJornada": false,
"descontarPreferencialmenteAdicionalNoturno": false,
"disponivelColaboradores": false
}{
"service": "<string>",
"method": "<string>",
"message": "message erro"
}Path Parameters
Id do motivo de ajuste
Body
Regras do motivo de ajuste
Descrição do motivo de ajuste
"Esqueceu de registrar o ponto"
Tipo de registro de ponto online
ABONO, ABONO_DESCONTADO, AFASTAMENTO, AJUSTE_HORARIO, ATESTADO, FOLGA, SUSPENSAO, COMPENSACAO_BANCO_HORAS Mesmo depois de realizado o ajuste, o saldo da jornada de trabalho continua sem alteração
false
Mesmo depois de realizado o ajuste, o saldo do adicional noturno continua sem alteração
false
Disponibilidade para os colaboradores usarem o motivo
false
Response
Motivo de ajuste de registro de ponto
Descrição do motivo de ajuste
"Esqueceu de registrar o ponto"
Tipo de registro de ponto online
ABONO, ABONO_DESCONTADO, AFASTAMENTO, AJUSTE_HORARIO, ATESTADO, FOLGA, SUSPENSAO, COMPENSACAO_BANCO_HORAS ID do motivo de ajuste
"123-456abc"
Mesmo depois de realizado o ajuste, o saldo da jornada de trabalho continua sem alteração
false
Mesmo depois de realizado o ajuste, o saldo do adicional noturno continua sem alteração
false
Disponibilidade para os colaboradores usarem o motivo
false